html,
body {
  min-height: 100%;
  background: var(--un-base-bg);
}

html {
  box-sizing: border-box;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  margin: 0;
  padding: 0;
  font-family: var(--un-font), var(--un-font-stack);
  font-weight: var(--un-font-weight);
  line-height: var(--un-line-height);
  font-size: var(--un-font-size);
  color: var(--un-base-fg);
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

a {
  color: currentColor;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h1,
h2,
h3 {
  margin: calc(var(--un-spacing) * 2) 0 0;
  font-weight: var(--un-font-weight-bold);
}

h1:first-child,
h2:first-child,
h3:first-child,
p:first-child {
  margin-top: 0;
}
h1 + p,
h2 + p,
h3 + p {
  margin-top: var(--un-spacing);
}
p {
  margin: var(--un-spacing) 0 0;
}
